## qtxmlpatterns-opensource-src 5.0.1

=== tests/auto/cmake/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)

project(qmake_cmake_files)

enable_testing()

find_package(Qt5Core REQUIRED)

include("${_Qt5CTestMacros}")

set(Qt5_MODULE_TEST_DEPENDS Network)

test_module_includes(
  XmlPatterns QXmlQuery
)

=== debian/changelog ===
qtxmlpatterns-opensource-src (5.0.1-0ubuntu3) raring; urgency=low

  * Fix pkgconfig Libs.private path (LP: #1125156)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 14 Feb 2013 14:57:21 +0000

qtxmlpatterns-opensource-src (5.0.1-0ubuntu2) raring; urgency=low

  * Fix various copyright issues

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 11 Feb 2013 18:20:08 +0100

qtxmlpatterns-opensource-src (5.0.1-0ubuntu1) raring; urgency=low

  * New upstream release.
  * Cherry-pick from upstream:
    - add_license_files.patch

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 06 Feb 2013 13:57:03 +0000

=== debian/control ===
Source: qtxmlpatterns-opensource-src
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Sune Vuorela <debian@pusling.com>,
           Pino Toscano <pino@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Timo Jyrinki <timo@debian.org>
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.1),
               pkg-kde-tools,
               qt5-default,
               qtbase5-private-dev (>= 5.0.1~)
Standards-Version: 3.9.4
Homepage: http://qt-project.org/

Package: libqt5xmlpatterns5
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 XML patterns module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 QtXmlPatterns is a XQuery and XPath engine for XML and custom data models.

Package: libqt5xmlpatterns5-dev
Section: libdevel
Architecture: any
Depends: libqt5xmlpatterns5 (= ${binary:Version}), ${misc:Depends}
Description: Qt 5 XML patterns development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 5
 applications using QtXmlPatterns library.

Package: libqt5xmlpatterns5-private-dev
Architecture: any
Section: libdevel
Depends: libqt5xmlpatterns5-dev (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 5 XML patterns private development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the private header development files for building some
 Qt 5 applications using XML patterns private headers.
 .
 Use at your own risk.

Package: qtxmlpatterns5-dev-tools
Architecture: any
Multi-Arch: foreign
Section: devel
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: qtchooser
Description: Qt 5 XML patterns development programs
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development programs such as xmlpatterns and
 xmlpatternsvalidator.

Package: qtxmlpatterns5-examples
Architecture: any
Multi-Arch: same
Section: x11
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 XML patterns examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 5 XML patterns examples.

Package: qtxmlpatterns5-dbg
Priority: extra
Architecture: any
Section: debug
Depends: libqt5xmlpatterns5 (= ${binary:Version}),
         qtxmlpatterns5-dev-tools (= ${binary:Version}),
         qtxmlpatterns5-examples (= ${binary:Version}),
         ${misc:Depends}
Description: Qt 5 XML patterns library debugging symbols
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the debugging symbols for the Qt 5 XML patterns
 libraries.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

%:
	dh $@ --list-missing --parallel --with pkgkde_symbolshelper --dbg-package=qtxmlpatterns5-dbg

override_dh_auto_configure:
	qmake

override_dh_auto_install:
	dh_auto_install
	# Fix wrong path in pkgconfig files
	find $(CURDIR)/debian/tmp/usr/lib/*/pkgconfig -type f -name '*.pc' \
	-exec sed -i -e 's/$(DEB_HOST_MULTIARCH)\/$(DEB_HOST_MULTIARCH)/$(DEB_HOST_MULTIARCH)/g' {} \;

override_dh_builddeb:
	dh_builddeb -- -Zxz

=== debian/watch ===
version=3
http://origin.releases.qt-project.org/qt5/([\d\.]*)/submodules_tar/qtxmlpatterns-opensource-src-([^-]*)\.tar.xz

## qtxmlpatterns-opensource-src 5.0.2

=== debian/changelog ===
qtxmlpatterns-opensource-src (5.0.2-2) experimental; urgency=low

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Export QT_SELECT=qt5 to avoid a FTBFS when the debhelper patch that makes
    Qt4 as default get included.
    - Remove qt5-default as B-D, as it's not really needed now.
  * Confirm symbols for i386, ia64 and powerpc.

  [ Pino Toscano ]
  * debian/control: remove unused ${shlibs:Depends} from
    libqt5xmlpatterns5-private-dev.
  * debian/control: remove unused ${misc:Pre-Depends} from
    qtxmlpatterns5-dev-tools and qtxmlpatterns5-examples.
  * debian/control: leave only libqt5xmlpatterns5 as dependency for
    qtxmlpatterns5-dbg, demoting as suggests qtxmlpatterns5-dev-tools and
    qtxmlpatterns5-examples.
  * Update symbols file also for alpha, powerpcspe and ppc64.
  * debian/control: make libqt5xmlpatterns5-dev depend on qtbase5-dev.
  * Update Vcs-Browser and Vcs-Git headers.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 28 Apr 2013 11:10:05 -0300

qtxmlpatterns-opensource-src (5.0.2-1) experimental; urgency=low

  * Initial release. (Closes: #697509)

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 19 Apr 2013 18:20:50 -0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: qtxmlpatterns-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
            Sune Vuorela <debian@pusling.com>,
@@ -12,10 +11,11 @@
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
                pkg-kde-tools,
-               qt5-default,
-               qtbase5-private-dev (>= 5.0.1~)
+               qtbase5-private-dev (>= 5.0.2~)
 Standards-Version: 3.9.4
 Homepage: http://qt-project.org/
+Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtxmlpatterns.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qtxmlpatterns.git;a=summary
 
 Package: libqt5xmlpatterns5
 Architecture: any
@@ -31,7 +31,8 @@
 Package: libqt5xmlpatterns5-dev
 Section: libdevel
 Architecture: any
-Depends: libqt5xmlpatterns5 (= ${binary:Version}), ${misc:Depends}
+Depends: libqt5xmlpatterns5 (= ${binary:Version}), ${misc:Depends},
+ qtbase5-dev
 Description: Qt 5 XML patterns development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -44,7 +45,6 @@
 Section: libdevel
 Depends: libqt5xmlpatterns5-dev (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
 Description: Qt 5 XML patterns private development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -58,7 +58,7 @@
 Architecture: any
 Multi-Arch: foreign
 Section: devel
-Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: qtchooser
 Description: Qt 5 XML patterns development programs
@@ -72,7 +72,7 @@
 Architecture: any
 Multi-Arch: same
 Section: x11
-Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 XML patterns examples
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -85,9 +85,9 @@
 Architecture: any
 Section: debug
 Depends: libqt5xmlpatterns5 (= ${binary:Version}),
-         qtxmlpatterns5-dev-tools (= ${binary:Version}),
-         qtxmlpatterns5-examples (= ${binary:Version}),
          ${misc:Depends}
+Suggests: qtxmlpatterns5-dev-tools (= ${binary:Version}),
+          qtxmlpatterns5-examples (= ${binary:Version}),
 Description: Qt 5 XML patterns library debugging symbols
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
export QT_SELECT := qt5

%:
	dh $@ --parallel --with pkgkde_symbolshelper --dbg-package=qtxmlpatterns5-dbg

override_dh_auto_configure:
	qmake

override_dh_auto_install:
	dh_auto_install

	# Fix wrong path in pkgconfig files
	find $(CURDIR)/debian/tmp/usr/lib/*/pkgconfig -type f -name '*.pc' \
	-exec sed -i -e 's/$(DEB_HOST_MULTIARCH)\/$(DEB_HOST_MULTIARCH)/$(DEB_HOST_MULTIARCH)/g' {} \;

	# Remove libtool-like file
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

override_dh_install:
	dh_install --fail-missing

override_dh_builddeb:
	dh_builddeb -- -Zxz

=== debian/watch ===
version=3
http://origin.releases.qt-project.org/qt5/([\d\.]*)/submodules/qtxmlpatterns-opensource-src-([^-]*)\.tar.xz

## qtxmlpatterns-opensource-src 5.2.0

=== debian/changelog ===
qtxmlpatterns-opensource-src (5.2.0-2) experimental; urgency=low

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Properly adjust build dependencies.
  * Fix documentation description (Closes: #734248).
  * Update symbols files with buildd's logs.
  * Update Standards-Version to 3.9.5, no changes needed.
  * Add xauth to build dependencies, needed for running the tests.

  [ Timo Jyrinki ]
  * Don't depend on "+dfsg" qttools

  [ Iftikhar Ahmad ]
  * Enable make check.
  * Conditionally skip the network dependent unit tests.

  [ Pino Toscano ]
  * Install the private qmake stuff in libqt5xmlpatterns5-private-dev and not
    in libqt5xmlpatterns5-dev.
  * Remove the Pre-Depends on dpkg >= 1.15.6~, since that version is available
    in Squeeze already.

  [ Dmitry Shachnev ]
  * Rename enable-make-test.patch to disable_network_tests.diff (to explain what
    it really does and follow the naming convention), and add DEP-3 headers.
  * Run tests in build target, and use dh_auto_test.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 06 Jan 2014 13:58:47 -0300

qtxmlpatterns-opensource-src (5.2.0-1) experimental; urgency=low

  * New upstream release.
  * Update symbols files with buildds' logs.
  * Adjust Qt build dependencies.
  * Adjust install files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 12 Dec 2013 22:07:44 -0300

qtxmlpatterns-opensource-src (5.2.0~beta1-2) experimental; urgency=low

  * Update libqt5xmlpatterns5.symbols for ia64, powerpc, s390x and sparc.
  * Bump ABI package name to qtxmlpatterns-abi-5-2-0.

 -- Dmitry Shachnev <mitya57@gmail.com>  Fri, 22 Nov 2013 18:33:00 +0400

qtxmlpatterns-opensource-src (5.2.0~beta1-1) experimental; urgency=low

  * New upstream beta release.
  * Bump qtbase and qttools build-dependencies to 5.2.0~beta1.
  * Explicitly define DEB_HOST_MULTIARCH in debian/rules.
  * Add myself to Uploaders.

 -- Dmitry Shachnev <mitya57@gmail.com>  Wed, 20 Nov 2013 18:51:45 +0400

qtxmlpatterns-opensource-src (5.1.1-1) unstable; urgency=low

  * New upstream release.
  * Update symbols file from buildds's logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 30 Aug 2013 17:34:53 -0300

qtxmlpatterns-opensource-src (5.1.0-2) unstable; urgency=low

  * Upload to unstable.
  * Mark private symbols in symbols file.
  * Update symbols files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 10 Aug 2013 15:18:58 -0300

qtxmlpatterns-opensource-src (5.1.0-1) experimental; urgency=low

  * New upstream release.
  * Update watch file.
  * Bump build dependencies to 5.1.0~.
  * Update symbols files.
  * Make libqt5xmlpatterns5 provide qtxmlpatterns-abi-5-1-0 for handling
    packages that build-depend on private symbols.
  * Add mark_private_symbols.sh to mark private symbols.
  * Update install file.
  * Make qtxmlpatterns5-dbg M-A: same to allow coinstallation of debugging
    symbols.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 09 Jul 2013 20:02:19 -0300

qtxmlpatterns-opensource-src (5.0.2-3) experimental; urgency=low

  * Make every package that ships a binary managed by qtchooser depend on it.
  * Build the documentation shipped with this submodule as a build-indep task:
    - Add the necessary indep build dependencies:
      * qttools5-dev-tools to use qhelpgenerator.
      * libqt5sql5-sqlite to generate qch doc.
    - Build and create a packages for qch and HTML doc formats.
  * Update symbols files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 07 Jun 2013 13:39:40 -0300

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,16 @@
            Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
-           Timo Jyrinki <timo@debian.org>
+           Timo Jyrinki <timo@debian.org>,
+           Dmitry Shachnev <mitya57@gmail.com>
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.0.2~)
-Standards-Version: 3.9.4
+               qtbase5-private-dev (>= 5.2.0+dfsg~),
+               xauth,
+               xvfb
+Build-Depends-Indep: libqt5sql5-sqlite, qttools5-dev-tools (>= 5.2.0-1~)
+Standards-Version: 3.9.5
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtxmlpatterns.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qtxmlpatterns.git;a=summary
@@ -20,8 +24,9 @@
 Package: libqt5xmlpatterns5
 Architecture: any
 Multi-Arch: same
-Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Provides: qtxmlpatterns-abi-5-2-0
 Description: Qt 5 XML patterns module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -31,8 +36,7 @@
 Package: libqt5xmlpatterns5-dev
 Section: libdevel
 Architecture: any
-Depends: libqt5xmlpatterns5 (= ${binary:Version}), ${misc:Depends},
- qtbase5-dev
+Depends: libqt5xmlpatterns5 (= ${binary:Version}), qtbase5-dev, ${misc:Depends}
 Description: Qt 5 XML patterns development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -43,8 +47,9 @@
 Package: libqt5xmlpatterns5-private-dev
 Architecture: any
 Section: libdevel
-Depends: libqt5xmlpatterns5-dev (= ${binary:Version}),
-         ${misc:Depends},
+Depends: libqt5xmlpatterns5-dev (= ${binary:Version}), ${misc:Depends}
+Breaks: libqt5xmlpatterns5-dev (<< 5.2.0-2~)
+Replaces: libqt5xmlpatterns5-dev (<< 5.2.0-2~)
 Description: Qt 5 XML patterns private development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -58,9 +63,7 @@
 Architecture: any
 Multi-Arch: foreign
 Section: devel
-Pre-Depends: dpkg (>= 1.15.6~)
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: qtchooser
+Depends: qtchooser, ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 XML patterns development programs
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -72,7 +75,6 @@
 Architecture: any
 Multi-Arch: same
 Section: x11
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 XML patterns examples
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -83,14 +85,37 @@
 Package: qtxmlpatterns5-dbg
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Section: debug
-Depends: libqt5xmlpatterns5 (= ${binary:Version}),
-         ${misc:Depends}
+Depends: libqt5xmlpatterns5 (= ${binary:Version}), ${misc:Depends}
 Suggests: qtxmlpatterns5-dev-tools (= ${binary:Version}),
-          qtxmlpatterns5-examples (= ${binary:Version}),
+          qtxmlpatterns5-examples (= ${binary:Version})
 Description: Qt 5 XML patterns library debugging symbols
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
  This package contains the debugging symbols for the Qt 5 XML patterns
  libraries.
+
+Package: qtxmlpatterns5-doc
+Priority: extra
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Description: Qt 5 XML patterns documentation
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the documentation for the Qt 5 XML patterns libraries.
+
+Package: qtxmlpatterns5-doc-html
+Priority: extra
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Description: Qt 5 XML patterns HTML documentation
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the HTML documentation for the Qt 5 XML patterns
+ libraries.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
 export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
@@ -12,9 +14,12 @@
 	dh $@ --parallel --with pkgkde_symbolshelper --dbg-package=qtxmlpatterns5-dbg
 
 override_dh_auto_configure:
-	qmake
+	qmake QT_BUILD_PARTS+=tests
 
-override_dh_auto_install:
+override_dh_auto_build-indep:
+	dh_auto_build -Smakefile -- docs
+
+override_dh_auto_install-arch:
 	dh_auto_install
 
 	# Fix wrong path in pkgconfig files
@@ -24,8 +29,15 @@
 	# Remove libtool-like file
 	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
 
+override_dh_auto_install-indep:
+	make INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs
+
 override_dh_install:
 	dh_install --fail-missing
 
 override_dh_builddeb:
 	dh_builddeb -- -Zxz
+
+override_dh_auto_test:
+	QT_QPA_PLATFORM=minimal xvfb-run -a dh_auto_test
+

## qtxmlpatterns-opensource-src 5.2.1

=== debian/changelog ===
qtxmlpatterns-opensource-src (5.2.1-3) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Stop building qtxmlpatterns5-doc from this source, it will be
    built from qttools-opensource-src instead. This allows us to drop
    qttools5-dev-tools build-dependency and get rid of dependency loop.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 13 Feb 2014 09:58:21 -0300

qtxmlpatterns-opensource-src (5.2.1-2) experimental; urgency=medium

  * Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 10 Feb 2014 13:11:33 -0300

qtxmlpatterns-opensource-src (5.2.1-1) experimental; urgency=medium

  * New upstream release.
  * Refresh and fix disable_network_tests.patch.
  * No symbols changed.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 09 Feb 2014 23:11:41 -0300

qtxmlpatterns-opensource-src (5.2.0-3) unstable; urgency=medium

  * Upload to unstable.
  * Move mkspec files to their new location.
    - B-D on qtbase5-private-dev 5.2.0+dfsg-7 which changed the location.
  * Update symbols files with buildd's logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 31 Jan 2014 14:54:50 -0300

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,9 @@
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.2.0+dfsg~),
+               qtbase5-private-dev (>= 5.2.1+dfsg~),
                xauth,
                xvfb
-Build-Depends-Indep: libqt5sql5-sqlite, qttools5-dev-tools (>= 5.2.0-1~)
 Standards-Version: 3.9.5
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtxmlpatterns.git
@@ -97,17 +96,6 @@
  This package contains the debugging symbols for the Qt 5 XML patterns
  libraries.
 
-Package: qtxmlpatterns5-doc
-Priority: extra
-Architecture: all
-Section: doc
-Depends: ${misc:Depends}
-Description: Qt 5 XML patterns documentation
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains the documentation for the Qt 5 XML patterns libraries.
-
 Package: qtxmlpatterns5-doc-html
 Priority: extra
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 	qmake QT_BUILD_PARTS+=tests
 
 override_dh_auto_build-indep:
-	dh_auto_build -Smakefile -- docs
+	dh_auto_build -Smakefile -- html_docs
 
 override_dh_auto_install-arch:
 	dh_auto_install
@@ -30,7 +30,7 @@
 	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
 
 override_dh_auto_install-indep:
-	make INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs
+	make INSTALL_ROOT=$(CURDIR)/debian/tmp install_html_docs
 
 override_dh_install:
 	dh_install --fail-missing

=== debian/watch ===
version=3
http://download.qt-project.org/official_releases/qt/([\d\.]*)/([\d\.]*)/submodules/qtxmlpatterns-opensource-src-([^-]*)\.tar.xz

## qtxmlpatterns-opensource-src 5.3.1

=== debian/changelog ===
qtxmlpatterns-opensource-src (5.3.1-4ubuntu3) utopic; urgency=medium

  * Downgrade the version in two more places.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 08 Sep 2014 16:16:05 +0400

qtxmlpatterns-opensource-src (5.3.1-4ubuntu2) utopic; urgency=medium

  * Set MODULE_VERSION to 5.3.0, thanks Timo Jyrinki (LP: #1366772).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 08 Sep 2014 15:55:57 +0400

qtxmlpatterns-opensource-src (5.3.1-4ubuntu1) utopic; urgency=medium

  * Build against qtbase 5.3.0. There are no major differences between
    5.3.0 and 5.3.1 upstream, but we want to have the fix for stack
    overflow in Ubuntu.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 07 Sep 2014 19:27:38 +0400

qtxmlpatterns-opensource-src (5.3.1-4) unstable; urgency=medium

  [ Adam Majer ]
  * Add xmlpatterns_stack_overflow_fix.diff which changes a recursive call
    into iteration fixing stack overflow in XmlPatterns.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 04 Sep 2014 16:13:49 -0300

qtxmlpatterns-opensource-src (5.3.1-3) unstable; urgency=medium

  * Build depend upon qtbase >= 5.3.1-2 to depend on qtbase-abi-5-3-1.
  * Update symbols files with buildds' and mips64el's logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 27 Jun 2014 23:38:22 -0300

qtxmlpatterns-opensource-src (5.3.1-2) unstable; urgency=medium

  * Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 26 Jun 2014 11:55:39 -0300

qtxmlpatterns-opensource-src (5.3.1-1) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Do not require Xvfb for running tests.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 26 Jun 2014 10:37:48 -0300

qtxmlpatterns-opensource-src (5.3.0-2) unstable; urgency=medium

  * Upload to unstable.
  * Development packages are now Multi-Arch: same.
  * Search for private symbols at build time and produce a diff so as to be
    able to get the changes from build logs.
    - Modify mark_private_symbols.sh.
    - Run mark_private_symbols.sh from debian/rules.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 05 Jun 2014 23:29:32 -0300

qtxmlpatterns-opensource-src (5.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Fix headers location: they are now in a Multi-Arch qualified path.
  * No symbols changes in the last upload.
  * Bump Qt build dependency to 5.3.0+dfsg~.
  * Fix name change in mark_private_symbols.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 21 May 2014 10:30:20 -0300

qtxmlpatterns-opensource-src (5.2.1-4) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Remove dh_builddeb override, xz is now the default compression method.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add license to mark_private_symbols.sh and corresponding entry in
    debian/copyright.
  * Update symbols files with buildd's logs.
  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 24 Mar 2014 21:29:33 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qtxmlpatterns-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
            Sune Vuorela <debian@pusling.com>,
@@ -12,9 +13,7 @@
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.2.1+dfsg~),
-               xauth,
-               xvfb
+               qtbase5-private-dev (>= 5.3.0),
 Standards-Version: 3.9.5
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtxmlpatterns.git
@@ -35,6 +34,7 @@
 Package: libqt5xmlpatterns5-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libqt5xmlpatterns5 (= ${binary:Version}), qtbase5-dev, ${misc:Depends}
 Description: Qt 5 XML patterns development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -45,6 +45,7 @@
 
 Package: libqt5xmlpatterns5-private-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: libqt5xmlpatterns5-dev (= ${binary:Version}), ${misc:Depends}
 Breaks: libqt5xmlpatterns5-dev (<< 5.2.0-2~)

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,7 @@
 	dh $@ --parallel --with pkgkde_symbolshelper --dbg-package=qtxmlpatterns5-dbg
 
 override_dh_auto_configure:
+	cd include/QtXmlPatterns && mv 5.3.1 5.3.0
 	qmake QT_BUILD_PARTS+=tests
 
 override_dh_auto_build-indep:
@@ -34,10 +35,3 @@
 
 override_dh_install:
 	dh_install --fail-missing
-
-override_dh_builddeb:
-	dh_builddeb -- -Zxz
-
-override_dh_auto_test:
-	QT_QPA_PLATFORM=minimal xvfb-run -a dh_auto_test
-

## qtxmlpatterns-opensource-src 5.3.2

=== debian/changelog ===
qtxmlpatterns-opensource-src (5.3.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 21 Sep 2014 23:21:36 -0300

qtxmlpatterns-opensource-src (5.3.2-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Simplify disable_network_tests.patch.
  * Update my e-mail address.
  * Update Vcs-Browser field to point to cgit interface.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
  * Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 16 Sep 2014 16:12:19 -0300

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: qtxmlpatterns-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
            Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Timo Jyrinki <timo@debian.org>,
-           Dmitry Shachnev <mitya57@gmail.com>
+           Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.3.0),
+               qtbase5-private-dev (>= 5.3.2+dfsg~),
 Standards-Version: 3.9.5
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtxmlpatterns.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qtxmlpatterns.git;a=summary
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/qt/qtxmlpatterns.git
 
 Package: libqt5xmlpatterns5
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,6 @@
 	dh $@ --parallel --with pkgkde_symbolshelper --dbg-package=qtxmlpatterns5-dbg
 
 override_dh_auto_configure:
-	cd include/QtXmlPatterns && mv 5.3.1 5.3.0
 	qmake QT_BUILD_PARTS+=tests
 
 override_dh_auto_build-indep:

## qtxmlpatterns-opensource-src 5.4.1

=== debian/changelog ===
qtxmlpatterns-opensource-src (5.4.1-1) experimental; urgency=medium

  * New upstream release.
  * Build-depend on qtbase 5.4.1.
  * Update debian/copyright.
  * Mark some destructors symbols as optional to fix build with GCC 5
    (closes: #778097).

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 25 Feb 2015 13:20:18 +0300

qtxmlpatterns-opensource-src (5.4.0-2) experimental; urgency=medium

  * Update debian/copyright.
  * Update debian/watch for new server name.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 17 Jan 2015 15:57:59 +0300

qtxmlpatterns-opensource-src (5.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Drop iterator_stack_overflow_fix.diff, applied upstream.
  * Build-depend on qtbase 5.4.0.
  * Update debian/copyright to reflect LGPLv3 addition.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update libqt5xmlpatterns5.symbols.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 16 Dec 2014 13:18:03 +0300

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.3.2+dfsg~),
-Standards-Version: 3.9.5
+               qtbase5-private-dev (>= 5.4.1+dfsg~),
+Standards-Version: 3.9.6
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtxmlpatterns.git
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/qt/qtxmlpatterns.git

## qtxmlpatterns-opensource-src 5.4.2

=== debian/changelog ===
qtxmlpatterns-opensource-src (5.4.2-2build1) wily; urgency=medium

  * No-change rebuild for GCC5 transition.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 10 Jul 2015 08:04:13 +0300

qtxmlpatterns-opensource-src (5.4.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 23 Jun 2015 00:34:07 -0300

qtxmlpatterns-opensource-src (5.4.2-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies to 5.4.2.
  * Clear up the list in Uploaders removing people who hasn't committed to the
    repo in more than a year. They can re add themselves whenever they want
    (and we really hope to see you back really soon!).
  * Switch to using pkgkde-mark-private-symbols from pkg-kde-tools 0.15.17.
    - Remove copyright entry.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 02 Jun 2015 16:35:38 -0300

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,15 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Fathi Boudra <fabo@debian.org>,
-           Modestas Vainius <modax@debian.org>,
-           Sune Vuorela <debian@pusling.com>,
+Uploaders: Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
-               pkg-kde-tools,
-               qtbase5-private-dev (>= 5.4.1+dfsg~),
+               pkg-kde-tools (>= 0.15.17),
+               qtbase5-private-dev (>= 5.4.2+dfsg~),
 Standards-Version: 3.9.6
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtxmlpatterns.git

## qtxmlpatterns-opensource-src 5.5.1

=== debian/changelog ===
qtxmlpatterns-opensource-src (5.5.1-2build1) xenial; urgency=medium

  * Rebuild against Qt 5.5.1.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 30 Nov 2015 09:43:00 +0200

qtxmlpatterns-opensource-src (5.5.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 21 Oct 2015 15:31:16 -0300

qtxmlpatterns-opensource-src (5.5.1-1) experimental; urgency=medium

  * Expose HTML documentation (Closes: #751189).
  * New upstream release.
    - Bump Qt build dependencies.
  * Simplify libqt5xmlpatterns5-private-dev.install, there is a well
    known pattern for most of it's entries.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 16 Oct 2015 10:41:49 -0300

qtxmlpatterns-opensource-src (5.5.0-2) experimental; urgency=medium

  * Test not-installed binary in tst_xmlpatternsvalidator
    (tst_xmlpatternsvalidator.patch).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 20 Aug 2015 17:04:02 +0300

qtxmlpatterns-opensource-src (5.5.0-1) experimental; urgency=medium

  * Update debian/copyright.
  * Bump qtbase build-dependency to 5.5.0.
  * Remove symbols missing with GCC 5.
  * Update libqt5xmlpatterns5-private-dev.install for a file rename.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 06 Aug 2015 10:18:37 +0300

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
                pkg-kde-tools (>= 0.15.17),
-               qtbase5-private-dev (>= 5.4.2+dfsg~),
+               qtbase5-private-dev (>= 5.5.1+dfsg~)
 Standards-Version: 3.9.6
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtxmlpatterns.git

=== debian/rules ===
--- 
+++ 
@@ -34,3 +34,9 @@
 
 override_dh_install:
 	dh_install --fail-missing
+
+override_dh_makeshlibs:
+	dh_makeshlibs -V
+
+	# Check for private symbols not marked as such. Be verbose.
+	pkgkde-mark-private-symbols debian/libqt5xmlpatterns5-private-dev/usr/include

## qtxmlpatterns-opensource-src 5.6.1

=== debian/changelog ===
qtxmlpatterns-opensource-src (5.6.1-2build1~4) yakkety; urgency=medium

  * Rebuild against Qt 5.6.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 20 Jul 2016 09:28:14 +0300

qtxmlpatterns-opensource-src (5.6.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 13 Jun 2016 09:35:53 -0300

qtxmlpatterns-opensource-src (5.6.1-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Bump Standards-Version to 3.9.8, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 09 Jun 2016 15:14:35 -0300

qtxmlpatterns-opensource-src (5.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump build-dependency on debhelper, for --dbgsym-migration.
  * Revert debian/watch to track final releases again.
  * Call rm with verbose flag in debian/rules.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 17 Mar 2016 18:29:07 +0100

qtxmlpatterns-opensource-src (5.6.0~rc-1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump qtbase build-dependency to 5.6.0~rc.
  * Use recommended https URIs for Vcs fields.
  * Bump Standards-Version to 3.9.7, no changes needed.
  * Migrate to automatic dbgsym packages.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 05 Mar 2016 14:00:17 +0300

qtxmlpatterns-opensource-src (5.6.0~beta-2) experimental; urgency=medium

  * Re-enable building the documentation.
    - Build-depend on qttools5-dev-tools.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 08 Jan 2016 14:44:42 +0300

qtxmlpatterns-opensource-src (5.6.0~beta-1) experimental; urgency=medium

  * New upstream beta release.
  * Update debian/watch to track experimental releases (needs to be reverted
    before uploading 5.6.0 final).
  * Bump qtbase build-dependency to 5.6.0~beta.
  * Disable building docs. Upstream moved qdoc to qttools source, so we
    will re-enable building them when we get qttools 5.6 built.
  * Update debian/libqt5xmlpatterns5.symbols using migrate-symbols.py script.
  * Add new Qt_* symbols.
  * Remove the libqt5xmlpatterns5-private-dev package. Its only consumers were
    qtdeclarative and qtwebkit, but they do not really need it.
  * Stop marking private symbols. There are no real private symbols currently
    (pkgkde-mark-private-symbols reported two, but both were false positives).
    Also, no package will be able to use them as we removed the -private-dev
    package. Drop the qtxmlpatterns-abi-* virtual package too.
  * Drop the no longer needed hack to fix wrong path in pkgconfig files.
  * Drop unused Expat license text from debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 02 Jan 2016 22:55:15 +0300

=== debian/control ===
--- 
+++ 
@@ -7,21 +7,22 @@
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 9.20160114~),
                dpkg-dev (>= 1.16.1),
-               pkg-kde-tools (>= 0.15.17),
-               qtbase5-private-dev (>= 5.5.1+dfsg~)
-Standards-Version: 3.9.6
+               pkg-kde-tools,
+               qtbase5-private-dev (>= 5.6.1+dfsg~)
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.6.1~),
+                     qttools5-dev-tools (>= 5.6.1~)
+Standards-Version: 3.9.8
 Homepage: http://qt-project.org/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtxmlpatterns.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/qt/qtxmlpatterns.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtxmlpatterns.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qtxmlpatterns.git
 
 Package: libqt5xmlpatterns5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Provides: qtxmlpatterns-abi-5-2-0
 Description: Qt 5 XML patterns module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -39,22 +40,6 @@
  .
  This package contains the header development files used for building Qt 5
  applications using QtXmlPatterns library.
-
-Package: libqt5xmlpatterns5-private-dev
-Architecture: any
-Multi-Arch: same
-Section: libdevel
-Depends: libqt5xmlpatterns5-dev (= ${binary:Version}), ${misc:Depends}
-Breaks: libqt5xmlpatterns5-dev (<< 5.2.0-2~)
-Replaces: libqt5xmlpatterns5-dev (<< 5.2.0-2~)
-Description: Qt 5 XML patterns private development files
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains the private header development files for building some
- Qt 5 applications using XML patterns private headers.
- .
- Use at your own risk.
 
 Package: qtxmlpatterns5-dev-tools
 Architecture: any
@@ -79,19 +64,16 @@
  .
  This package contains Qt 5 XML patterns examples.
 
-Package: qtxmlpatterns5-dbg
+Package: qtxmlpatterns5-doc
 Priority: extra
-Architecture: any
-Multi-Arch: same
-Section: debug
-Depends: libqt5xmlpatterns5 (= ${binary:Version}), ${misc:Depends}
-Suggests: qtxmlpatterns5-dev-tools (= ${binary:Version}),
-          qtxmlpatterns5-examples (= ${binary:Version})
-Description: Qt 5 XML patterns library debugging symbols
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Description: Qt 5 XML patterns documentation
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
- This package contains the debugging symbols for the Qt 5 XML patterns
+ This package contains the documentation for the Qt 5 XML patterns
  libraries.
 
 Package: qtxmlpatterns5-doc-html

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
export QT_SELECT := qt5

%:
	dh $@ --parallel --with pkgkde_symbolshelper

override_dh_auto_configure:
	qmake QT_BUILD_PARTS+=tests

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-arch:
	dh_auto_install

	# Remove private headers and the .pri file
	rm -rfv debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/QtXmlPatterns/*/QtXmlPatterns/private/
	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/mkspecs/modules/qt_lib_xmlpatterns_private.pri

	# Remove libtool-like file
	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

override_dh_auto_install-indep:
	dh_auto_build -- INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs

override_dh_install:
	dh_install --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_strip:
	dh_strip --dbgsym-migration='qtxmlpatterns5-dbg (<< 5.6.0~rc-1~)'

## qtxmlpatterns-opensource-src 5.7.1~20161021

=== debian/changelog ===
qtxmlpatterns-opensource-src (5.7.1~20161021-3) unstable; urgency=medium

  * Override tests just when building arch dependant packages.
  * Do not try to run test when building arch:all packages.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 01 Nov 2016 08:53:17 -0300

qtxmlpatterns-opensource-src (5.7.1~20161021-2) experimental; urgency=medium

  * Make tests non-fatal. We enabled test on the 5.7 round and discovered
    that some of them where failing. As Dmitry Schanev discovered this is no
    regresion from 5.6 and we need to get 5.7 into testing before the
    transition freeze we are making them non-fatal.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 29 Oct 2016 22:52:14 -0300

qtxmlpatterns-opensource-src (5.7.1~20161021-1) experimental; urgency=medium

  * New upstream snapshot.
  * Bump Qt build-dependencies to 5.7.1~20161021.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 22 Oct 2016 15:44:31 +0300

qtxmlpatterns-opensource-src (5.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/copyright.
  * Bump Qt build-dependencies to 5.7.0.
  * Add Qt_5.7 version tag to debian/libqt5xmlpatterns5.symbols.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 01 Jul 2016 20:50:26 +0300

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
 Build-Depends: debhelper (>= 9.20160114~),
                dpkg-dev (>= 1.16.1),
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.6.1+dfsg~)
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.6.1~),
-                     qttools5-dev-tools (>= 5.6.1~)
+               qtbase5-private-dev (>= 5.7.1~20161021+dfsg~)
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.7.1~20161021+dfsg~),
+                     qttools5-dev-tools (>= 5.7.1~20161021~)
 Standards-Version: 3.9.8
 Homepage: http://qt-project.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtxmlpatterns.git

=== debian/rules ===
--- 
+++ 
@@ -40,3 +40,10 @@
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='qtxmlpatterns5-dbg (<< 5.6.0~rc-1~)'
+
+override_dh_auto_test-arch:
+	# Make the tests non-fatal, see the 5.7.1~20161021-2 changelog.
+	-dh_auto_test
+
+override_dh_auto_test-indep:
+	# Nothing to do here.
